Index: cpukit/libblock/include/rtems/bdpart.h
===================================================================
--- cpukit/libblock/include/rtems/bdpart.h	(revision 72c686167dfa5836191068aa475b73a1bf5daca1)
+++ cpukit/libblock/include/rtems/bdpart.h	(revision f6c7bcfe996e2a620c902d80c7a29623071edc7a)
@@ -34,4 +34,5 @@
 
 /**
+ * @brief Manage Partitions of a Disk Device
  * @defgroup rtems_bdpart Block Device Partition Management
  *
@@ -335,4 +336,6 @@
 
 /**
+ * @brief Prints the Partition Table @a Partitions with @a Count Partitions
+ *
  * Prints the partition table @a partitions with @a count partitions to
  * standard output.
Index: cpukit/libblock/include/rtems/blkdev.h
===================================================================
--- cpukit/libblock/include/rtems/blkdev.h	(revision 72c686167dfa5836191068aa475b73a1bf5daca1)
+++ cpukit/libblock/include/rtems/blkdev.h	(revision f6c7bcfe996e2a620c902d80c7a29623071edc7a)
@@ -277,5 +277,5 @@
 
 /**
- * @brief Common IO control primitive.
+ * @brief Common IO Control Primitive
  *
  * Use this in all block devices to handle the common set of IO control
@@ -345,5 +345,5 @@
 
 /**
- * @brief Prints the block device statistics.
+ * @brief Prints the Block Device Statistics
  */
 void rtems_blkdev_print_stats(
@@ -354,5 +354,5 @@
 
 /**
- * @brief Block device statistics command.
+ * @brief Block Device Statistics Command
  */
 void rtems_blkstats(
Index: cpukit/libblock/src/bdpart-create.c
===================================================================
--- cpukit/libblock/src/bdpart-create.c	(revision 72c686167dfa5836191068aa475b73a1bf5daca1)
+++ cpukit/libblock/src/bdpart-create.c	(revision f6c7bcfe996e2a620c902d80c7a29623071edc7a)
@@ -2,7 +2,6 @@
  * @file
  *
+ * @brief Manage Partitions of a Disk Device
  * @ingroup rtems_bdpart
- *
- * Block device partition management.
  */
 
Index: cpukit/libblock/src/bdpart-dump.c
===================================================================
--- cpukit/libblock/src/bdpart-dump.c	(revision 72c686167dfa5836191068aa475b73a1bf5daca1)
+++ cpukit/libblock/src/bdpart-dump.c	(revision f6c7bcfe996e2a620c902d80c7a29623071edc7a)
@@ -2,7 +2,6 @@
  * @file
  *
+ * @brief Prints the Partition Table @a Partitions with @a Count Partitions
  * @ingroup rtems_bdpart
- *
- * Block device partition management.
  */
 
Index: cpukit/libblock/src/bdpart-mount.c
===================================================================
--- cpukit/libblock/src/bdpart-mount.c	(revision 72c686167dfa5836191068aa475b73a1bf5daca1)
+++ cpukit/libblock/src/bdpart-mount.c	(revision f6c7bcfe996e2a620c902d80c7a29623071edc7a)
@@ -2,7 +2,6 @@
  * @file
  *
+ * @brief Block Device Partition Management
  * @ingroup rtems_bdpart
- *
- * Block device partition management.
  */
 
Index: cpukit/libblock/src/bdpart-read.c
===================================================================
--- cpukit/libblock/src/bdpart-read.c	(revision 72c686167dfa5836191068aa475b73a1bf5daca1)
+++ cpukit/libblock/src/bdpart-read.c	(revision f6c7bcfe996e2a620c902d80c7a29623071edc7a)
@@ -2,7 +2,6 @@
  * @file
  *
+ * @brief Block Device Partition Management
  * @ingroup rtems_bdpart
- *
- * Block device partition management.
  */
 
Index: cpukit/libblock/src/bdpart-register.c
===================================================================
--- cpukit/libblock/src/bdpart-register.c	(revision 72c686167dfa5836191068aa475b73a1bf5daca1)
+++ cpukit/libblock/src/bdpart-register.c	(revision f6c7bcfe996e2a620c902d80c7a29623071edc7a)
@@ -2,7 +2,6 @@
  * @file
  *
+ * @brief Block Device Partition Management
  * @ingroup rtems_bdpart
- *
- * Block device partition management.
  */
 
Index: cpukit/libblock/src/bdpart-sort.c
===================================================================
--- cpukit/libblock/src/bdpart-sort.c	(revision 72c686167dfa5836191068aa475b73a1bf5daca1)
+++ cpukit/libblock/src/bdpart-sort.c	(revision f6c7bcfe996e2a620c902d80c7a29623071edc7a)
@@ -2,7 +2,6 @@
  * @file
  *
+ * @brief Block Device Partition Management
  * @ingroup rtems_bdpart
- *
- * Block device partition management.
  */
 
Index: cpukit/libblock/src/bdpart-write.c
===================================================================
--- cpukit/libblock/src/bdpart-write.c	(revision 72c686167dfa5836191068aa475b73a1bf5daca1)
+++ cpukit/libblock/src/bdpart-write.c	(revision f6c7bcfe996e2a620c902d80c7a29623071edc7a)
@@ -2,7 +2,6 @@
  * @file
  *
+ * @brief Block Device Partition Management
  * @ingroup rtems_bdpart
- *
- * Block device partition management.
  */
 
Index: cpukit/libblock/src/blkdev-blkstats.c
===================================================================
--- cpukit/libblock/src/blkdev-blkstats.c	(revision 72c686167dfa5836191068aa475b73a1bf5daca1)
+++ cpukit/libblock/src/blkdev-blkstats.c	(revision f6c7bcfe996e2a620c902d80c7a29623071edc7a)
@@ -1,2 +1,9 @@
+/**
+ * @file
+ *
+ * @brief Block Device Statistics Command
+ * @ingroup rtems_blkdev Block Device Management
+ */
+
 /*
  * Copyright (c) 2012 embedded brains GmbH.  All rights reserved.
Index: cpukit/libblock/src/blkdev-imfs.c
===================================================================
--- cpukit/libblock/src/blkdev-imfs.c	(revision 72c686167dfa5836191068aa475b73a1bf5daca1)
+++ cpukit/libblock/src/blkdev-imfs.c	(revision f6c7bcfe996e2a620c902d80c7a29623071edc7a)
@@ -1,2 +1,9 @@
+/**
+ * @file
+ *
+ * @brief Block Device IMFS
+ * @ingroup libblock
+ */
+
 /*
  * Copyright (c) 2012 embedded brains GmbH.  All rights reserved.
Index: cpukit/libblock/src/blkdev-ioctl.c
===================================================================
--- cpukit/libblock/src/blkdev-ioctl.c	(revision 72c686167dfa5836191068aa475b73a1bf5daca1)
+++ cpukit/libblock/src/blkdev-ioctl.c	(revision f6c7bcfe996e2a620c902d80c7a29623071edc7a)
@@ -2,7 +2,6 @@
  * @file
  *
+ * @brief Common IO Control Primitive
  * @ingroup rtems_blkdev
- *
- * Block device management.
  */
 
Index: cpukit/libblock/src/blkdev-print-stats.c
===================================================================
--- cpukit/libblock/src/blkdev-print-stats.c	(revision 72c686167dfa5836191068aa475b73a1bf5daca1)
+++ cpukit/libblock/src/blkdev-print-stats.c	(revision f6c7bcfe996e2a620c902d80c7a29623071edc7a)
@@ -1,2 +1,9 @@
+/**
+ * @file
+ *
+ * @brief Prints the Block Device Statistics
+ * @ingroup rtems_blkdev Block Device Management
+ */
+
 /*
  * Copyright (c) 2012 embedded brains GmbH.  All rights reserved.
Index: cpukit/libblock/src/blkdev.c
===================================================================
--- cpukit/libblock/src/blkdev.c	(revision 72c686167dfa5836191068aa475b73a1bf5daca1)
+++ cpukit/libblock/src/blkdev.c	(revision f6c7bcfe996e2a620c902d80c7a29623071edc7a)
@@ -2,7 +2,6 @@
  * @file
  *
+ * @brief Block Device Management
  * @ingroup rtems_blkdev
- *
- * Block device management.
  */
 
Index: cpukit/libblock/src/diskdevs-init.c
===================================================================
--- cpukit/libblock/src/diskdevs-init.c	(revision 72c686167dfa5836191068aa475b73a1bf5daca1)
+++ cpukit/libblock/src/diskdevs-init.c	(revision f6c7bcfe996e2a620c902d80c7a29623071edc7a)
@@ -1,2 +1,9 @@
+/**
+ * @file
+ *
+ * @brief Block Device Disk Management Initialize
+ * @ingroup rtems_disk Block Device Disk Management
+ */
+
 /*
  * Copyright (c) 2012 embedded brains GmbH.  All rights reserved.
Index: cpukit/libblock/src/flashdisk.c
===================================================================
--- cpukit/libblock/src/flashdisk.c	(revision 72c686167dfa5836191068aa475b73a1bf5daca1)
+++ cpukit/libblock/src/flashdisk.c	(revision f6c7bcfe996e2a620c902d80c7a29623071edc7a)
@@ -1,5 +1,10 @@
+/**
+ * @file
+ *
+ * @brief Flash Disk Block Device Implementation
+ * @ingroup libblock
+ */
+
 /*
- * flashdisk.c -- Flash disk block device implementation
- *
  * Copyright (C) 2007 Chris Johns
  *
Index: cpukit/libblock/src/ide_part_table.c
===================================================================
--- cpukit/libblock/src/ide_part_table.c	(revision 72c686167dfa5836191068aa475b73a1bf5daca1)
+++ cpukit/libblock/src/ide_part_table.c	(revision f6c7bcfe996e2a620c902d80c7a29623071edc7a)
@@ -1,9 +1,10 @@
-/*****************************************************************************
- *
- * ide_part_table.c
- *
- * The implementation of library supporting "MS-DOS-style" partition table
- *
- *
+/**
+ * @file
+ *
+ * @brief Library supporting "MS-DOS-style" Partition Table
+ * @ingroup libblock
+ */
+
+/*
  * Copyright (C) 2002 OKTET Ltd., St.-Petersburg, Russia
  *
@@ -15,5 +16,5 @@
  *  http://www.rtems.com/license/LICENSE.
  *
- *****************************************************************************/
+ */
 
 #if HAVE_CONFIG_H
Index: cpukit/libblock/src/nvdisk-sram.c
===================================================================
--- cpukit/libblock/src/nvdisk-sram.c	(revision 72c686167dfa5836191068aa475b73a1bf5daca1)
+++ cpukit/libblock/src/nvdisk-sram.c	(revision f6c7bcfe996e2a620c902d80c7a29623071edc7a)
@@ -1,9 +1,13 @@
+/**
+ * @file
+ *
+ * @brief Provide SRAM support for the NV Disk
+ * @ingroup libblock
+ */
+
 /*
  * RTEMS Project (http://www.rtems.org/)
  *
  * Copyright 2007 Chris Johns (chrisj@rtems.org)
- */
-/**
- * Provide SRAM support for the NV Disk.
  */
 
Index: cpukit/libblock/src/nvdisk.c
===================================================================
--- cpukit/libblock/src/nvdisk.c	(revision 72c686167dfa5836191068aa475b73a1bf5daca1)
+++ cpukit/libblock/src/nvdisk.c	(revision f6c7bcfe996e2a620c902d80c7a29623071edc7a)
@@ -1,5 +1,10 @@
+/**
+ * @file
+ *
+ * @brief Non-Volatile Disk Block Device Implementation
+ * @ingroup libblock
+ */
+
 /*
- * nvdisk.c -- Non-volatile disk block device implementation
- *
  * Copyright (C) 2007 Chris Johns
  *
Index: cpukit/libblock/src/show_bdbuf.c
===================================================================
--- cpukit/libblock/src/show_bdbuf.c	(revision 72c686167dfa5836191068aa475b73a1bf5daca1)
+++ cpukit/libblock/src/show_bdbuf.c	(revision f6c7bcfe996e2a620c902d80c7a29623071edc7a)
@@ -1,37 +1,27 @@
-/*===============================================================*\
-| Project: RTEMS bdbuf inspector                                  |
-+-----------------------------------------------------------------+
-| File: show_bdbuf.c
-+-----------------------------------------------------------------+
-|                    Copyright (c) 2005                           |
-|                    Embedded Brains GmbH                         |
-|                    Obere Lagerstr. 30                           |
-|                    D-82178 Puchheim                             |
-|                    Germany                                      |
-|                    rtems@embedded-brains.de                     |
-+-----------------------------------------------------------------+
-| The license and distribution terms for this file may be         |
-| found in the file LICENSE in this distribution or at            |
-|                                                                 |
-| http://www.rtems.com/license/LICENSE.                           |
-|                                                                 |
-+-----------------------------------------------------------------+
-| this file contains functions to enable the monitor              |
-| to show bdbuf information                                       |
-|                                                                 |
-|                    XXX!!! ATTETION!!! XXX!!!                    |
-|                                                                 |
-| This module inspects the bdbuf data structures,                 |
-| assuming they are static, but in fact they are used very        |
-| dynamically. Therefore the results show MAY BE INCORRECT in     |
-| some cases. And, to cure this a bit, this module may block      |
-| preemption for a rather long time and therefore it may          |
-| BREAK THE REALTIME BEHAVIOUR OF YOUR SYSTEM (when in use)       |
-+-----------------------------------------------------------------+
-|   date                      history                        ID   |
-| ~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~~ |
-| 26.09.06  creation                                         doe  |
-|*****************************************************************|
-\*===============================================================*/
+/**
+ * @file
+ *
+ * @brief Enable the Monitor to Show bdbuf Information
+ * @ingroup rtems_bdpart
+ *
+ * This module inspects the bdbuf data structures,
+ * assuming they are static, but in fact they are used very
+ * dynamically. Therefore the results show MAY BE INCORRECT in
+ * some cases. And, to cure this a bit, this module may block
+ * preemption for a rather long time and therefore it may
+ * BREAK THE REALTIME BEHAVIOUR OF YOUR SYSTEM (when in use)
+ */
+
+/*
+ * Copyright (c) 2005
+ * Embedded Brains GmbH
+ * Obere Lagerstr. 30
+ * D-82178 Puchheim
+ * Germany
+ * rtems@embedded-brains.de
+ * The license and distribution terms for this file may be
+ * found in the file LICENSE in this distribution or at
+ * http://www.rtems.com/license/LICENSE.
+ */
 
 #if HAVE_CONFIG_H
